{% extends 'base.html' %}
{% block content %}   
    <main>
        <div>
            <h1>My Lists</h1>
            <p><a href="{% url 'todo_list_create' %}">Create a new list</a></p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for todolist in todolist_list %} 
                    {% comment %} todolist_list comes from context of listview {% endcomment %}
                        <tr>
                            <td><a href="{% url 'todo_list_detail' todolist.pk %}">{{ todolist.name }}</a></td>
                            {% comment %} todo_list_detail from url, todolist.pk from model todolist {% endcomment %}
                            <td>{{ todolist.items.all|length }}</td>
                        </tr>
                    {% endfor %}
      
                </tbody>
            </table>
        </div>
    </main>
{% endblock content %} 